net.minecraft.network.packet

## Class Packet30Entity

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet30Entity

- Direct Known Subclasses:
    Packet31RelEntityMove, Packet32EntityLook, Packet33RelEntityMoveLook

      public class Packet30Entity
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `entityId` The ID of this entity.
    `byte` | `pitch` The Y axis rotation.
    `boolean` | `rotating` Boolean set to true if the entity is rotating.
    `byte` | `xPosition` The X axis relative movement.
    `byte` | `yaw` The X axis rotation.
    `byte` | `yPosition` The Y axis relative movement.
    `byte` | `zPosition` The Z axis relative movement.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet30Entity()`
    `Packet30Entity(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsSameEntityIDAs(Packet par1Packet)` eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
    `int` | `getPacketSize()` Abstract.
    `boolean` | `isRealPacket()` only false for the abstract Packet class, all real packets return true
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `String` | `toString()`
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, getNewPacket, getPacketId, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entityId

          public int entityId

      The ID of this entity.

    - #### xPosition

          public byte xPosition

      The X axis relative movement.

    - #### yPosition

          public byte yPosition

      The Y axis relative movement.

    - #### zPosition

          public byte zPosition

      The Z axis relative movement.

    - #### yaw

          public byte yaw

      The X axis rotation.

    - #### pitch

          public byte pitch

      The Y axis rotation.

    - #### rotating

          public boolean rotating

      Boolean set to true if the entity is rotating.

  - ### Constructor Detail

    - #### Packet30Entity

          public Packet30Entity()

    - #### Packet30Entity

          public Packet30Entity(int par1)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Packet`

    - #### isRealPacket

          public boolean isRealPacket()

      only false for the abstract Packet class, all real packets return true
      Overrides:
        `isRealPacket` in class `Packet`

    - #### containsSameEntityIDAs

          public boolean containsSameEntityIDAs(Packet par1Packet)

      eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
      Overrides:
        `containsSameEntityIDAs` in class `Packet`